<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.android.chmo.ui.view.TopBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:topTitle="在线预约" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:fillViewport="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="20dp">

                    <ImageView
                        android:id="@+id/image"
                        android:layout_width="100dp"
                        android:layout_height="100dp"
                        android:layout_marginRight="30dp"
                        android:src="@mipmap/def_img2" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="名称"
                            android:textColor="@color/black"
                            android:textSize="16sp" />

                        <TextView
                            android:id="@+id/info"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:text="175cm/南京"
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:text=""
                            android:textColor="@color/pink"
                            android:textSize="14sp"
                            android:visibility="invisible" />
                    </LinearLayout>
                </LinearLayout>

                <View style="@style/line" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingTop="20dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:drawableLeft="@mipmap/block"
                        android:drawablePadding="5dp"
                        android:text="工作类型"
                        android:textColor="@color/black"
                        android:textSize="16sp" />


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:padding="20dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="20dp"
                            android:text="工作类型："
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/workType"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/work_bg"
                            android:drawableRight="@mipmap/arrow_down"
                            android:foreground="@drawable/list_selector"
                            android:gravity="center_vertical"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:text="请选择工作类型"
                            android:textColor="#999"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingTop="20dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:drawableLeft="@mipmap/block"
                        android:drawablePadding="5dp"
                        android:text="工作时间"
                        android:textColor="@color/black"
                        android:textSize="16sp" />


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:padding="20dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="20dp"
                            android:text="开始时间："
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/startTime"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/work_bg"
                            android:foreground="@drawable/list_selector"
                            android:gravity="center_vertical"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:text="请选择开始时间"
                            android:textColor="#999"
                            android:textSize="14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingLeft="20dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="20dp"
                            android:text="工作时长："
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/workHour"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/work_bg"
                            android:foreground="@drawable/list_selector"
                            android:gravity="center_vertical"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:text="请选择工作时长"
                            android:textColor="#999"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/totalPrice"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@mipmap/video_btnbg"
                android:foreground="@drawable/list_selector"
                android:gravity="center"
                android:text="共计：0h/￥0.00"
                android:textColor="@color/white"
                android:textSize="15sp" />

            <TextView
                android:id="@+id/confirm"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@mipmap/reserve_btnbg"
                android:foreground="@drawable/list_selector"
                android:gravity="center"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="15sp" />
        </LinearLayout>
    </LinearLayout>


    <LinearLayout
        android:id="@+id/selectWork"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@color/dialog_bg"
        android:visibility="gone">

        <View android:id="@+id/outside"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="300dp"
            android:background="@color/white"
            android:padding="20dp">
            <GridView
                android:id="@+id/gridview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:numColumns="3"
                android:verticalSpacing="15dp"
                android:horizontalSpacing="50dp">

            </GridView>
        </LinearLayout>

    </LinearLayout>
</RelativeLayout>